
Figure - Bug #117938
【IOV-25917】【VC1】【0094】【台架】【EE环境】【副屏】【投屏】视频投屏过程中开启屏端息屏功能，
自动断开手机连接
2023-05-15 17:36 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-15

Priority: Normal Due date: 2023-05-19

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0094.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

安卓版本：Android12

移动端腾讯视频应用版本号：8.8.35.27254

连接步骤：副屏和移动端设备连接统一网络

连接wifi名称：testphone

副屏连接功放

【操作步骤】

1.副屏端选择智联投屏并打开应用

2.手机开启Smartview镜像并连接副屏智联投屏

3.手机端选择腾讯视频进行播放

4.播放电视剧不说再见第一集

5.副屏下滑通知栏右下角息屏功能并点击

【实际结果】

1.息屏模式进行中投屏断开

【期望结果】

1.

手机投屏不断开，息屏视频继续播放能听到声音，屏幕息屏模式中

对比，中控在息屏模式下，视频是可以继续播放，可以听到声音

【备注】：

【应用版本】：1.0

【硬件版本号】：

【中控版本号】：03.02.0072.x101

【副屏版本号】：01.00.0094.c103
History

#1 - 2023-05-15 17:39 - CDTS_TEST 王成

- File 飞书20230512-141138.mp4 added

- File video(93).mp4 added

- File video(30) (1).mp4 added

日志：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117938/gjjxf.gz

#2 - 2023-05-15 18:56 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2023-05-16 14:09 - CD FW-廖涛

- Due date set to 2023-05-19

#4 - 2023-05-16 17:12 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

■ My analysis

通过复现现象及查看日志，在成功投屏后，手动退出镜像页面（包括回到桌面、进入屏保、息屏等操作），乐播 SDK 会执行页面的回收流程，并断开投

屏连接（见下面的日志信息）。若不手动执行退出镜像页面的操作，系统不会自动息屏或进入屏保，投屏可以持续运行。

综上所述，该问题为乐播投屏 SDK 的设计如此，若需调整，需要连续乐播进行处理。

05-12 21:31:40.022  3108  8676 I hpplay-java: [Thread-183]:MirrorPlayer:notify: what: 200 arg1: 700 arg2: 81

05-12 21:31:40.022  3108  3108 I hpplay-java: [main]:MirrorPlayer:processMessage: 200

05-12 21:31:40.022  3108  3108 I hpplay-java: [main]:PhoenixPlayer:onInfo what: 700 extra: 81

05-12 21:31:40.023  3108  3108 I hpplay-java: [main]:PlayerView:onInfo: what/extra: 700/81

05-12 21:31:40.024  3108  3108 I hpplay  : [main]:LelinkHelper:mIFpsListener netDelay:81

05-12 21:31:40.390  3108  3108 I wm_on_top_resumed_lost_called: [2774864,com.hpplay.sdk.sink.business.BusinessActivity,topStateChangedWhenResumed]

05-12 21:31:40.391  1002  2948 I wm_pause_activity: [0,2774864,com.hht.lebocast/com.hpplay.sdk.sink.business.BusinessActivity,userLeaving=true,pauseBackTasks]

05-12 21:31:40.398  1002  1163 I input_focus: [Focus request 99fe505 com.hht.lebocast/com.hpplay.sdk.sink.business.BusinessActivity,reason=UpdateInputWindows]

05-12 21:31:40.401  3108  3108 I hpplay-java: [main]:BusinessActivity:onUserInteraction: com.hpplay.sdk.sink.business.BusinessActivity@1434b8b

05-12 21:31:40.401  3108  3108 I hpplay-java: [main]:BusinessActivity:onUserLeaveHint: com.hpplay.sdk.sink.business.BusinessActivity@1434b8b

05-12 21:31:40.401  3108  3108 I hpplay-java: [main]:BusinessActivity:onPause: com.hpplay.sdk.sink.business.BusinessActivity@1434b8b

05-12 21:31:40.401  3108  3108 I hpplay  : [main]:CastApplication:onActivityPaused com.hpplay.sdk.sink.business.BusinessActivity

05-12 21:31:40.402  3108  3108 I hpplay-java: [main]:BusinessEntity:onPause performance com.hpplay.sdk.sink.business.BusinessActivity@1434b8b

05-12 21:31:40.402  3108  3108 I hpplay-java: [main]:PlayController:onPause

05-12 21:31:40.402  3108  3108 I wm_on_paused_called: [2774864,com.hpplay.sdk.sink.business.BusinessActivity,performPause]

05-12 21:31:40.406  1002  7144 I wm_add_to_stopping: [0,2774864,com.hht.lebocast/com.hpplay.sdk.sink.business.BusinessActivity,makeInvisible]

05-12 21:31:40.497  3108  3108 I hpplay-java: [main]:BusinessActivity:onTrimMemory: com.hpplay.sdk.sink.business.BusinessActivity@1434b8b

05-12 21:31:40.644  3108  3108 I hpplay  : [main]:LelinkHelper:mIFpsListener onFps decodeFps:19, receiveFps:21, mirrorFps:4, sysFps:44

05-12 21:31:40.644  3108  3108 I hpplay-java: [main]:PlayController:updateFpsRunnable 19/false

05-12 21:31:40.985  1002  1162 I wm_stop_activity: [0,2774864,com.hht.lebocast/com.hpplay.sdk.sink.business.BusinessActivity]

05-12 21:31:40.998  3108  3108 I hpplay-java: [main]:LBSurfaceView:surfaceDestroyed

05-12 21:31:40.998  3108  3108 I hpplay-java: [main]:PlayerView:surfaceDestroyed isAlive:false， mTestView

：com.hpplay.sdk.sink.business.player.surface.LBSurfaceView@cabf829
05-12 21:31:40.998  3108  3108 I hpplay-java: [main]:PlayerView:stop mCurrentState:STATE_PLAYING

05-12 21:31:40.998  3108  3108 I hpplay-java: [main]:PlayerView:stop_l position:0

05-12 21:31:40.998  3108  3108 I hpplay-java: [main]:LelinkPlayer:stop

05-12 21:31:40.998  3108  3108 I hpplay-java: [main]:PhoenixPlayer:stop com.hpplay.sdk.sink.player.PhoenixPlayer@2ddb8dc:PhoenixPlayer{playType=3, mState=3,

params = out:131969153}

05-12 21:31:40.998  3108  3108 I hpplay-java: [main]:MirrorPlayer:stop

05-12 21:31:40.998  3108  3108 I hpplay-base: [mirror_jni:606] stop

05-12 21:31:40.998  3108  3108 I hpplay-base: [mirror_player:315] mirror_player_stop stop strSessionId=192.168.7.52:113:3, nPlayerType=31.

05-12 21:31:40.999  3108  8676 I hpplay-base: [mirror_player:499] mirror_lag_check_thread end 1

05-12 21:31:40.999  3108  8677 I hpplay-base: [mirror_mediacodec:1005] input: get frame failed.

05-12 21:31:41.004  3108  8677 I hpplay-base: [mirror_mediacodec:1289] input_thread end, nRet=0,tid is 8677

05-12 21:31:41.005  3108  8678 I hpplay-base: [mirror_mediacodec:1627] render_thread end, index id=7,tid is 8678

05-12 21:31:41.005  3108  8675 I hpplay-base: [mirror_mediacodec:1831] output_loop end, nRet=0, tid is 8675

05-12 21:31:41.005  3108  8675 I hpplay-base: [mirror_mediacodec:565] destroy_decoder

05-12 21:31:41.036  3108  8675 I hpplay-base: [mirror_mediacodec:581] destroy_decoder end, input=364 output=0 drop=0.

05-12 21:31:41.036  3108  8675 I hpplay-base: [mirror_mediacodec:2234] mirror_mediacodec_decoder_thread end.

05-12 21:31:41.036  3108  3108 I hpplay-base: [mirror_frame_store:175] mirror_frame_store_release: pFrameQueue=0xe1d03190, strKey=192.168.7.52:113:3_1,

nRefNum=2 - 1

05-12 21:31:41.036  3108  3108 I hpplay-base: [mirror_player:354] mirror_player_stop end strSessionId=192.168.7.52:113:3, nPlayerType=31, input=365 output=359

drop=0.

05-12 21:31:41.036  3108  3108 I hpplay-base: [mirror_jni:170] freePcmSession sessionId:192.168.7.52:113:3

05-12 21:31:41.036  3108  3108 I hpplay-java: [main]:PhoenixPlayer:release com.hpplay.sdk.sink.player.PhoenixPlayer@2ddb8dc:PhoenixPlayer{playType=3, mState=3,

params = out:131969153}

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:PhoenixPlayer:resetListeners com.hpplay.sdk.sink.player.PhoenixPlayer@2ddb8dc:PhoenixPlayer{playType=3,

mState=0, params = out:131969153}

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:MirrorPlayer:release

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:PhoenixPlayer:getCurrentPosition ignore

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:AudioFocusChangeProcessor:stop

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:LelinkPlayer:release

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:PhoenixPlayer:release com.hpplay.sdk.sink.player.PhoenixPlayer@2ddb8dc:PhoenixPlayer{playType=3, mState=0,

params = out:131969153}

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:PhoenixPlayer:resetListeners com.hpplay.sdk.sink.player.PhoenixPlayer@2ddb8dc:PhoenixPlayer{playType=3,

mState=0, params = out:131969153}

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:MirrorPlayer:release

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:ProtocolProcessor:stop without protocol msg

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:MirrorControllerView:stop

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:MirrorControllerView:hideLoadingView

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:UILife:dismiss

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:BusinessEntity:dismiss dialog

05-12 21:31:41.037  3108  3108 I hpplay-java: [main]:LoadingWrapper:dismiss dialog

05-12 21:31:41.038  3108  3108 I hpplay-java: [main]:LoadingDialog:dismiss

05-12 21:31:41.038  3108  3108 I hpplay-java: [main]:LoadingView:dismiss

05-12 21:31:41.062  3108  3108 I hpplay-java: [main]:BusinessActivity:onCreateDescription: com.hpplay.sdk.sink.business.BusinessActivity@1434b8b

05-12 21:31:41.062  3108  3108 I hpplay-java: [main]:BusinessEntity:onStop performance  com.hpplay.sdk.sink.business.BusinessActivity@1434b8b

05-12 21:31:41.063  3108  3108 I hpplay-java: [main]:StatusDispatcher:setStopReason reason:110

05-12 21:31:41.063  3108  3108 I hpplay-java: session: 192.168.7.52:113:3

05-12 21:31:41.063  3108  3108 I hpplay-java: [main]:BusinessEntity:stopBusiness

05-12 21:31:41.063  3108  3108 I hpplay-java: [main]:UILife:setState from STATE_CREATED to STATE_DESTROYING :com.hpplay.sdk.sink.business.at@12ed53f

05-12 21:31:41.071  3108  3108 I hpplay-java: [main]:PlayController:onStop

05-12 21:31:41.071  3108  3108 I hpplay-java: [main]:PlayController:stopCast mFinishReason: 0

05-12 21:31:41.071  3108  3108 I hpplay-java: [main]:PlayerView:stop mCurrentState:STATE_IDLE

05-12 21:31:41.072  3108  3108 I hpplay-java: [main]:ProtocolProcessor:stop without protocol msg

05-12 21:31:41.072  3108  3108 I hpplay-java: [main]:MirrorControllerView:stop
05-12 21:31:41.072  3108  3108 I hpplay-java: [main]:MirrorControllerView:hideLoadingView

05-12 21:31:41.072  3108  3108 I hpplay-java: [main]:UILife:dismiss

05-12 21:31:41.072  3108  3108 I hpplay-java: [main]:BusinessEntity:dismiss dialog

05-12 21:31:41.073  3108  3108 I hpplay-java: [main]:LoadingWrapper:dismiss dialog

05-12 21:31:41.073  3108  3108 I hpplay-java: [main]:LoadingDialog:dismiss

05-12 21:31:41.073  3108  3108 I hpplay-java: [main]:LoadingView:dismiss

05-12 21:31:41.073  3108  3108 I hpplay-java: [main]:PlayController:sendStop complete: false  forceStopConnect: true

05-12 21:31:41.073  3108  3108 I hpplay-java: [main]:Bridge:stop key: 192.168.7.52:113:3-2-102-E1F2E326A32F4FDC4DD71696E7923B0A force: true

05-12 21:31:41.073  3108  3108 I hpplay-java: [main]:Bridge:stop forceStopConnect

05-12 21:31:41.073  3108  3108 I hpplay-java: [main]:Bridge:forceStopAll:0

05-12 21:31:41.074  3108  3108 I hpplay-java: [main]:Bridge:forceStopAll stop session: 192.168.7.52:113:3-2-102-E1F2E326A32F4FDC4DD71696E7923B0A

05-12 21:31:41.074  3108  3108 I hpplay-java: [main]:CreateUtils:removePlayInfo :

OutParameters:192.168.7.52:113:3-2-102-E1F2E326A32F4FDC4DD71696E7923B0A{audioSampleRate=44100, audioSessionId=-1, audiotrackIndex=-1,

castHandleType=1, castType=2, deviceName='', dlnaName='', dramaID='', extra=0, frameHandleType=0, handleInside=true, headduration=0, header='', headers=null,

isAD=false, isMultiMirror=false, lelinkVer='', limitTime=0, , mediaAlbum='null', mediaAlbumArtURI='', mediaArtist='null', mediaAssets='', mediaTitle='null',

mimeType=102, multiSession=null, period=0, pinCode='', playDuration=-1, playSpeed=0.0, playerChoice=3, plugin=0, port=0, position=0.0, positionUnit=2,

protocol=2, realSessionID='', regType='', , sinkIp='', sourceAPPVersion='', sourceChannel='', sourceClientInfo='', sourceDeviceInfo='',

sourceDeviceModel='iPhone12,1', sourceDeviceName='LabanL's iPhone 11', sourceDeviceType=200, sourceHID='', , sourceInfo='', , , sourceOSVersion='20D67',

sourceSDKVersion='675.4.1', sourceUid='', stopDetail=-1, stopReason=-1, tailduration=0, url='', urlID='E1F2E326A32F4FDC4DD71696E7923B0A', urls=null,

userAgent='', videoDecoder=0, volume=-1, what=203}com.hpplay.sdk.sink.protocol.OutParameters@7ddb081

05-12 21:31:41.074  3108  3108 I hpplay-java: [main]:CreateUtils:remove key: 192.168.7.52:113:3-2-102-E1F2E326A32F4FDC4DD71696E7923B0A

05-12 21:31:41.075  3108  3108 I hpplay-java: [main]:CreateUtils:sourceMap size: 0

05-12 21:31:41.075  3108  3108 I hpplay-java: [main]:CreateUtils:removePlayInfo :

OutParameters:192.168.7.52:113:3-2-102-E1F2E326A32F4FDC4DD71696E7923B0A{audioSampleRate=44100, audioSessionId=-1, audiotrackIndex=-1,

castHandleType=1, castType=2, deviceName='', dlnaName='', dramaID='', extra=0, frameHandleType=0, handleInside=true, headduration=0, header='', headers=null,

isAD=false, isMultiMirror=false, lelinkVer='', limitTime=0, , mediaAlbum='null', mediaAlbumArtURI='', mediaArtist='null', mediaAssets='', mediaTitle='null',

mimeType=102, multiSession=null, period=0, pinCode='', playDuration=-1, playSpeed=0.0, playerChoice=3, plugin=0, port=0, position=0.0, positionUnit=2,

protocol=2, realSessionID='', regType='', , sinkIp='', sourceAPPVersion='', sourceChannel='', sourceClientInfo='', sourceDeviceInfo='',

sourceDeviceModel='iPhone12,1', sourceDeviceName='LabanL's iPhone 11', sourceDeviceType=200, sourceHID='', , sourceInfo='', , , sourceOSVersion='20D67',

sourceSDKVersion='675.4.1', sourceUid='', stopDetail=-1, stopReason=-1, tailduration=0, url='', urlID='E1F2E326A32F4FDC4DD71696E7923B0A', urls=null,

userAgent='', videoDecoder=0, volume=-1, what=203}com.hpplay.sdk.sink.protocol.OutParameters@7ddb081

05-12 21:31:41.075  3108  3108 I hpplay-java: [main]:CreateUtils:remove key: 192.168.7.52:113:3-2-102-E1F2E326A32F4FDC4DD71696E7923B0A

05-12 21:31:41.075  3108  3108 I hpplay-java: [main]:CreateUtils:dyingSessions size: 0

05-12 21:31:41.075  3108  3108 D hpplay-base: [jniBridge:3183] Bridge__1stop Java sessionId is:192.168.7.52:113:3

05-12 21:31:41.075  3108  3108 D hpplay-base: [jniBridge:3669] Bridge__1stop,force to stop airplay mirror!!

05-12 21:31:41.075  3108  3108 D hpplay-base: [LelinkProtocol:6608] notifyLelinkMirrorStatus,session_id:192.168.7.52:113:3!!

05-12 21:31:41.076  3108  3108 D hpplay-base: [LelinkReceiver:9140] SOCKET_CLOSE,force close session ok!!

05-12 21:31:41.076  3108  3108 I hpplay-java: [main]:UnusualMirrorStrategy:stopCast STOP_ALL

05-12 21:31:41.076  3108  3108 I hpplay-java:  out:131969153

05-12 21:31:41.076  3108  3108 I hpplay-java: [main]:UnusualMirrorStrategy:stopCast clear strategy 2

05-12 21:31:41.076  3108  3108 I hpplay-java: [main]:UnusualMirrorStrategy:resetLastFPVideoStamp

05-12 21:31:41.076  3108  3108 I hpplay-java: [main]:UnusualMirrorStrategy:setMirrorInfo null

05-12 21:31:41.076  3108  3108 I hpplay-java: [main]:PlayController:release false

05-12 21:31:41.076  3108  3108 I hpplay-java: [main]:PlayController:onDestroy,sourceUid is empty

05-12 21:31:41.076  3108  3108 I hpplay-java: [main]:PlayController:sendDestroySurfaceViewMsg

05-12 21:31:41.078  1002  7853 E ActivityManager: Sending non-protected broadcast com.hpplay.happyplay.aw.destorysurfaceview from system

3108:com.hht.lebocast/u0a86 pkg com.hht.lebocast

05-12 21:31:41.079  3108  3108 I hpplay-java: [main]:PlayController:release status callback TYPE_STOP video

05-12 21:31:41.079  3108  3108 I hpplay-java: [main]:PlayController:dispatchStopStatus mStopReason : -1

05-12 21:31:41.080  3108  3108 I hpplay-java: [main]:StatusDispatcher:dispatchStop

05-12 21:31:41.080  1002  1183 I am_wtf  : [0,1002,system_server,-1,ActivityManager,Sending non-protected broadcast com.hpplay.happyplay.aw.destorysurfaceview from

system 3108:com.hht.lebocast/u0a86 pkg com.hht.lebocast]

2025-07-05 4/5



■ Next action

测试确认并同步客户。

#5 - 2023-05-17 15:03 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

#6 - 2023-05-17 15:03 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#7 - 2023-05-17 15:03 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

飞书20230512-141138.mp4 3.39 MB 2023-05-15 CDTS_TEST 王成

video(93).mp4 3.91 MB 2023-05-15 CDTS_TEST 王成

video(30) (1).mp4 4.24 MB 2023-05-15 CDTS_TEST 王成
